[ubuntu-mono] [Bug 805717] Re: package libnunit2.4-cil 2.4.7+dfsg-6 failed to install/upgrade: subprocess installed post-installation script returned error exit status 9

John Pitz 805717 at bugs.launchpad.net
Wed Aug 17 02:34:37 UTC 2011


Julian,

A while ago I tried installing a parallel copy of Mono in order to get
an upgraded mono installation.  I have read that on Ubunto systems you
should not tamper with the mono installation.  Anyway I needed an
updated version of Mono to run a .NET program for work.  I ended up
running into too many problems with that process so I bought a winxp
seat and installed it in virtualbox.  Expensive and frustrating as Mono
should have been capable of running it, but the workaround that was
recommended was taking up far too much time.  Is there any possibility
of decoupling mono from Ubuntu a little bit so that it can be kept up to
date?  What happens if security vulnerabilities are found in the version
of Mono that Ubuntu is apparently built upon? 

Anyway, I do not recall which files I needed to modify, and would have
to search for the instructions on installing parallel versions of Mono
to refresh my memory as to what I did and where I stopped.  I don't
think I got very far.

By the way thank you, that appears to have solved a very frustrating
problem.  

John


On Tue, 2011-08-16 at 17:26 +0000, Julian Taylor wrote:
> you appear do have modified the corlib:
> Dependencies.txt:
> libmono-corlib2.0-cil 2.6.7-5ubuntu3 [modified: usr/lib/mono/2.0/mscorlib.dll]
> 
> do you recall why you changed it, or which program could ahve changed
> it?
> 
> apt-get install --reinstall libmono-corlib2.0-cil
> should fix the upgrade issue
>

-- 
You received this bug notification because you are a member of Ubuntu
CLI/Mono Uploaders, which is subscribed to nunit in Ubuntu.
https://bugs.launchpad.net/bugs/805717

Title:
  package libnunit2.4-cil 2.4.7+dfsg-6 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 9

Status in “nunit” package in Ubuntu:
  Confirmed

Bug description:
  The Ubuntu software center seems to have a bug where if a previously
  installed package had a problem every attempt to install or remove
  additional software fails.  I am unable to find the entry in the gui
  for the original failed install, monodoc viewer it think, if anyone
  could tell me how to fix this I would greatly appreciate it.  This bug
  seems to be in Ubuntu Software Center

  ProblemType: Package
  DistroRelease: Ubuntu 11.04
  Package: libnunit2.4-cil 2.4.7+dfsg-6
  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
  Uname: Linux 2.6.38-8-generic i686
  Architecture: i386
  Date: Mon Jul  4 18:05:40 2011
  ErrorMessage: subprocess installed post-installation script returned error exit status 9
  InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
  PackageArchitecture: all
  SourcePackage: nunit
  Title: package libnunit2.4-cil 2.4.7+dfsg-6 failed to install/upgrade: subprocess installed post-installation script returned error exit status 9
  UpgradeStatus: Upgraded to natty on 2011-06-06 (28 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nunit/+bug/805717/+subscriptions



More information about the Ubuntu-mono mailing list